StoreRegistry (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.catalina.storeconfig, class: StoreRegistry

# Class StoreRegistry

java.lang.Object
org.apache.catalina.storeconfig.StoreRegistry

public class StoreRegistry extends Object
Central StoreRegistry for all server.xml elements

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoreRegistry()`
  Constructs a new StoreRegistry with default settings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StoreDescription`
  `findDescription(Class<?> aClass)`
  Find Description by class.
  `StoreDescription`
  `findDescription(String id)`
  Find a description for id.
  `IStoreFactory`
  `findStoreFactory(Class<?> aClass)`
  Find factory from class.
  `IStoreFactory`
  `findStoreFactory(String aClassName)`
  Find factory from class name.
  `String`
  `getEncoding()`
  Returns the character encoding used when writing configuration files.
  `String`
  `getName()`
  Returns the name of this registry.
  `String`
  `getVersion()`
  Returns the version of this registry.
  `void`
  `registerDescription(StoreDescription desc)`
  Register a new description.
  `void`
  `setEncoding(String string)`
  Set the encoding to use when writing the configuration files.
  `void`
  `setName(String name)`
  Sets the name of this registry.
  `void`
  `setVersion(String version)`
  Sets the version of this registry.
  `StoreDescription`
  `unregisterDescription(StoreDescription desc)`
  Unregister a description.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StoreRegistry

    public StoreRegistry()
    Constructs a new StoreRegistry with default settings.

- ## Method Details

  - ### getName

    public String getName()
    Returns the name of this registry.
    Returns:
      the registry name

  - ### setName

    public void setName(String name)
    Sets the name of this registry.
    Parameters:
      `name` - the registry name

  - ### getVersion

    public String getVersion()
    Returns the version of this registry.
    Returns:
      the registry version

  - ### setVersion

    public void setVersion(String version)
    Sets the version of this registry.
    Parameters:
      `version` - the registry version

  - ### findDescription

    public StoreDescription findDescription(String id)
    Find a description for id. Handle interface search when no direct match found.
    Parameters:
      `id` - The class name
    Returns:
      the description

  - ### findDescription

    public StoreDescription findDescription(Class<?> aClass)
    Find Description by class.
    Parameters:
      `aClass` - The class
    Returns:
      the description

  - ### findStoreFactory

    public IStoreFactory findStoreFactory(String aClassName)
    Find factory from class name.
    Parameters:
      `aClassName` - The class name
    Returns:
      the factory

  - ### findStoreFactory

    public IStoreFactory findStoreFactory(Class<?> aClass)
    Find factory from class.
    Parameters:
      `aClass` - The class
    Returns:
      the factory

  - ### registerDescription

    public void registerDescription(StoreDescription desc)
    Register a new description.
    Parameters:
      `desc` - New description

  - ### unregisterDescription

    public StoreDescription unregisterDescription(StoreDescription desc)
    Unregister a description.
    Parameters:
      `desc` - The description
    Returns:
      the description, or `null` if it was not registered

  - ### getEncoding

    public String getEncoding()
    Returns the character encoding used when writing configuration files.
    Returns:
      the character encoding

  - ### setEncoding

    public void setEncoding(String string)
    Set the encoding to use when writing the configuration files.
    Parameters:
      `string` - The encoding